Bug 1758925 - Review Request: perl-MusicBrainz-DiscID - Perl interface for the MusicBrainz libdiscid library
Summary: Review Request: perl-MusicBrainz-DiscID - Perl interface for the MusicBrainz ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1758816
TreeView+ depends on / blocked
 
Reported: 2019-10-06 21:27 UTC by Gerald Cox
Modified: 2019-10-26 17:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-07 21:22:44 UTC
dominik: fedora-review+


Attachments (Terms of Use)

Description Gerald Cox 2019-10-06 21:27:35 UTC
Spec URL: https://drive.google.com/open?id=1Fyr39wdluE9TApJuRqcM76Gi2uRwi9NQ
SRPM URL: https://drive.google.com/open?id=1v2sC5LfHZK_lFhpYZZMCQkE3qYWBmU81
Description: MusicBrainz::DiscID is a class to calculate a MusicBrainz DiscID from an audio CD in the drive. The coding style is slightly different to the C interface to libdiscid, because it makes use of perl's Object Oriented functionality.

Fedora Account System Username: gbcox

Comment 1 Gerald Cox 2019-10-07 00:23:55 UTC
Here are the COPR builds while I navigate the review process:
https://copr.fedorainfracloud.org/coprs/gbcox/package_reviews/packages/

Comment 2 Dominik 'Rathann' Mierzejewski 2019-10-07 08:37:35 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

1. License: should be GPLv2+ (you missed the +)
###
COPYRIGHT
---------

Copyright (C) 2009 Nicholas J. Humfrey

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
###

2. Please ask upstream to included the actual text of the GPLv2 with the sources.

3. Please make a note that tests require network access in the spec file.

Assuming you've fixed at least the License tag, the package is APPROVED.
I trust you'll do it while importing.

===== MUST items =====

C/C++:
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "GPL (v2 or
     later)". 12 files have unknown license. Detailed output of
     licensecheck in /home/rathann/build/review/copr-build-1049246/review-
     perl-MusicBrainz-DiscID/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-MusicBrainz-DiscID-0.04-1.fc32.x86_64.rpm
          perl-MusicBrainz-DiscID-debuginfo-0.04-1.fc32.x86_64.rpm
          perl-MusicBrainz-DiscID-debugsource-0.04-1.fc32.x86_64.rpm
          perl-MusicBrainz-DiscID-0.04-1.fc32.src.rpm
perl-MusicBrainz-DiscID.x86_64: W: spelling-error Summary(en_US) libdiscid -> disciplined
perl-MusicBrainz-DiscID.x86_64: W: spelling-error %description -l en_US libdiscid -> disciplined
perl-MusicBrainz-DiscID.x86_64: E: description-line-too-long C MusicBrainz::DiscID is a class to calculate a MusicBrainz DiscID from an audio CD in the drive. The coding style is slightly different to the C interface to libdiscid, because it makes use of perl's Object Oriented functionality.
perl-MusicBrainz-DiscID.src: W: spelling-error Summary(en_US) libdiscid -> disciplined
perl-MusicBrainz-DiscID.src: W: spelling-error %description -l en_US libdiscid -> disciplined
perl-MusicBrainz-DiscID.src: E: description-line-too-long C MusicBrainz::DiscID is a class to calculate a MusicBrainz DiscID from an audio CD in the drive. The coding style is slightly different to the C interface to libdiscid, because it makes use of perl's Object Oriented functionality.
4 packages and 0 specfiles checked; 2 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: perl-MusicBrainz-DiscID-debuginfo-0.04-1.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl-MusicBrainz-DiscID.x86_64: W: spelling-error Summary(en_US) libdiscid -> disciplined
perl-MusicBrainz-DiscID.x86_64: W: spelling-error %description -l en_US libdiscid -> disciplined
perl-MusicBrainz-DiscID.x86_64: E: description-line-too-long C MusicBrainz::DiscID is a class to calculate a MusicBrainz DiscID from an audio CD in the drive. The coding style is slightly different to the C interface to libdiscid, because it makes use of perl's Object Oriented functionality.
3 packages and 0 specfiles checked; 1 errors, 5 warnings.



Unversioned so-files
--------------------
perl-MusicBrainz-DiscID: /usr/lib64/perl5/vendor_perl/auto/MusicBrainz/DiscID/DiscID.so

Source checksums
----------------
https://cpan.metacpan.org/authors/id/N/NJ/NJH/MusicBrainz-DiscID-0.04.tar.gz :
  CHECKSUM(SHA256) this package     : 32f46e6e8aee10e6e3c32095cfe416647e819bcc593a3ff18aad57e6709898c4
  CHECKSUM(SHA256) upstream package : 32f46e6e8aee10e6e3c32095cfe416647e819bcc593a3ff18aad57e6709898c4


Requires
--------
perl-MusicBrainz-DiscID (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdiscid.so.0()(64bit)
    libperl.so.5.30()(64bit)
    libpthread.so.0()(64bit)
    perl(:MODULE_COMPAT_5.30.0)
    perl(Carp)
    perl(XSLoader)
    perl(strict)
    perl(vars)
    rtld(GNU_HASH)

perl-MusicBrainz-DiscID-debuginfo (rpmlib, GLIBC filtered):

perl-MusicBrainz-DiscID-debugsource (rpmlib, GLIBC filtered):



Provides
--------
perl-MusicBrainz-DiscID:
    perl(MusicBrainz::DiscID)
    perl-MusicBrainz-DiscID
    perl-MusicBrainz-DiscID(x86-64)

perl-MusicBrainz-DiscID-debuginfo:
    debuginfo(build-id)
    perl-MusicBrainz-DiscID-debuginfo
    perl-MusicBrainz-DiscID-debuginfo(x86-64)

perl-MusicBrainz-DiscID-debugsource:
    perl-MusicBrainz-DiscID-debugsource
    perl-MusicBrainz-DiscID-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review --copr-build https://copr.fedorainfracloud.org/coprs/gbcox/package_reviews/build/1049246/
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Shell-api, Generic, Perl
Disabled plugins: PHP, fonts, R, Python, Java, SugarActivity, Haskell, Ocaml, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Gerald Cox 2019-10-07 16:53:08 UTC
Requested text of License be included with source files:  
https://github.com/njh/perl-musicbrainz-discid/issues/7

Comment 4 Gerald Cox 2019-10-07 20:06:59 UTC
Temporarily re-assigning to:  dominik@greysector.net
to get around a pagure issue.

Comment 5 Gwyn Ciesla 2019-10-07 20:16:03 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-MusicBrainz-DiscID

Comment 6 Fedora Update System 2019-10-07 21:40:35 UTC
FEDORA-2019-ba9ca744f2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ba9ca744f2

Comment 7 Fedora Update System 2019-10-07 22:05:11 UTC
FEDORA-2019-4d8b443b45 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4d8b443b45

Comment 8 Fedora Update System 2019-10-07 22:39:27 UTC
FEDORA-2019-d95678a9bf has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d95678a9bf

Comment 9 Gerald Cox 2019-10-07 23:15:50 UTC
Changing license to MIT per upstream request.

Comment 10 Dominik 'Rathann' Mierzejewski 2019-10-08 07:25:46 UTC
(In reply to Gerald Cox from comment #4)
> Temporarily re-assigning to:  dominik@greysector.net
> to get around a pagure issue.

Actually, I should have assigned this to myself. I thought I did that, but apparently not.

Comment 11 Fedora Update System 2019-10-08 16:45:30 UTC
FEDORA-2019-17964d6c72 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-17964d6c72

Comment 12 Fedora Update System 2019-10-08 16:45:50 UTC
FEDORA-2019-0f676b4567 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f676b4567

Comment 13 Fedora Update System 2019-10-08 16:46:13 UTC
FEDORA-2019-da1531bc67 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-da1531bc67

Comment 14 Fedora Update System 2019-10-08 20:32:54 UTC
perl-MusicBrainz-DiscID-0.04-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4d8b443b45

Comment 15 Fedora Update System 2019-10-08 21:42:26 UTC
perl-MusicBrainz-DiscID-0.04-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ba9ca744f2

Comment 16 Fedora Update System 2019-10-09 03:25:25 UTC
perl-MusicBrainz-DiscID-0.06-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-17964d6c72

Comment 17 Fedora Update System 2019-10-09 17:39:52 UTC
perl-MusicBrainz-DiscID-0.06-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f676b4567

Comment 18 Fedora Update System 2019-10-09 18:58:07 UTC
perl-MusicBrainz-DiscID-0.06-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-da1531bc67

Comment 19 Fedora Update System 2019-10-17 23:23:36 UTC
perl-MusicBrainz-DiscID-0.06-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-10-18 00:48:21 UTC
perl-MusicBrainz-DiscID-0.06-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-10-18 16:53:18 UTC
perl-MusicBrainz-DiscID-0.06-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-10-26 17:23:47 UTC
perl-MusicBrainz-DiscID-0.06-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.